Page MenuHomePhabricator

[mlir][Linalg] Expose some utility functions used for promotion.
ClosedPublic

Authored by mravishankar on Nov 15 2020, 10:22 AM.

Details

Summary

Exposing some utility functions from Linalg to allow for promotion of
fused views outside of the core tile+fuse logic.
This is an alternative to patch D91322 which adds the promotion logic
to the tileAndFuse method. Downside with that approach is that it is
not easily customizable based on needs.

Depends On D91502

Diff Detail

Event Timeline

mravishankar created this revision.Nov 15 2020, 10:22 AM
mravishankar requested review of this revision.Nov 15 2020, 10:22 AM
nicolasvasilache accepted this revision.Nov 16 2020, 3:25 AM

Please mark the revision as NFC in the title before landing.

mlir/lib/Dialect/Linalg/Transforms/Fusion.cpp
820

I don't see allocationFn here ?

This revision is now accepted and ready to land.Nov 16 2020, 3:25 AM

Address comment and rebase

FYI this leaves an unused function

mlir/lib/Dialect/Linalg/Transforms/Fusion.cpp:785:13: error: unused function 'isZero' [-Werror,-Wunused-function]
static bool isZero(Value v) {

Fixed in https://reviews.llvm.org/D91838

mravishankar reopened this revision.Nov 20 2020, 3:57 PM

Reopening to land after fix.

This revision is now accepted and ready to land.Nov 20 2020, 3:57 PM

Reupload after reopening

This revision was landed with ongoing or failed builds.Nov 23 2020, 10:35 AM
This revision was automatically updated to reflect the committed changes.